Loading...
Searching...
No Matches
task.h File Reference

Common task related definitions. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/ipc.h>`
Include dependency graph for task.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | L4_task_ops { L4_TASK_MAP_OP = 0UL , L4_TASK_UNMAP_OP = 1UL , L4_TASK_CAP_INFO_OP = 2UL , L4_TASK_ADD_KU_MEM_OP = 3UL , L4_TASK_LDT_SET_X86_OP = 0x11UL , L4_TASK_MAP_VGICC_ARM_OP = 0x12UL }
| Operations on task objects. More...

## Functions

l4_msgtag_t | l4_task_map (l4_cap_idx_t dst_task, l4_cap_idx_t src_task, l4_fpage_t snd_fpage, l4_umword_t snd_base) L4_NOTHROW
| Map resources available in the source task to a destination task.
l4_msgtag_t | l4_task_unmap (l4_cap_idx_t task, l4_fpage_t fpage, l4_umword_t map_mask) L4_NOTHROW
| Revoke rights from the task.
l4_msgtag_t | l4_task_unmap_batch (l4_cap_idx_t task, l4_fpage_t const *fpages, unsigned num_fpages, l4_umword_t map_mask) L4_NOTHROW
| Revoke rights from a task.
l4_msgtag_t | l4_task_delete_obj (l4_cap_idx_t task, l4_cap_idx_t obj) L4_NOTHROW
| Release capability and delete object.
l4_msgtag_t | l4_task_release_cap (l4_cap_idx_t task, l4_cap_idx_t cap) L4_NOTHROW
| Release object capability.
l4_msgtag_t | l4_task_cap_valid (l4_cap_idx_t task, l4_cap_idx_t cap) L4_NOTHROW
| Check whether a capability is present (refers to an object).
l4_msgtag_t | l4_task_cap_equal (l4_cap_idx_t task, l4_cap_idx_t cap_a, l4_cap_idx_t cap_b) L4_NOTHROW
| Test whether two capabilities point to the same object with the same permissions (only considering selected permissions).
l4_msgtag_t | l4_task_add_ku_mem (l4_cap_idx_t task, l4_fpage_t *ku_mem) L4_NOTHROW
| Add kernel-user memory.

## Detailed Description

Common task related definitions.

Definition in file task.h.